## org.eclipse.emf.compare.epatch.applier
Class InvertedEpatchMapping

    java.lang.Object
      org.eclipse.emf.compare.epatch.applier.AbstractEpatchMapping
          org.eclipse.emf.compare.epatch.applier.InvertedEpatchMapping

All Implemented Interfaces:
  EpatchMapping

    public class InvertedEpatchMapping

extends AbstractEpatchMapping

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.compare.epatch.applier.AbstractEpatchMapping
`AbstractEpatchMapping.EpatchMappingEntryImpl`

Nested classes/interfaces inherited from interface org.eclipse.emf.compare.epatch.applier.EpatchMapping
`EpatchMapping.EpatchMappingEntry`

Field Summary
`protected EpatchMapping` `mapping`

Constructor Summary
`InvertedEpatchMapping(EpatchMapping mapping)`

Method Summary
`java.util.Map<NamedResource,org.eclipse.emf.ecore.resource.Resource>` `getDstResources()`
`java.util.Map<ModelImport,org.eclipse.emf.ecore.resource.Resource>` `getImportedResources()`
`java.util.Map<NamedResource,org.eclipse.emf.ecore.resource.Resource>` `getSrcResources()`
`ApplyStrategy` `getStrategy()`

Methods inherited from class org.eclipse.emf.compare.epatch.applier.AbstractEpatchMapping
`createEPatchMappingEntry, getAllEntries, getByDst, getByPtc, getBySrc, getDstToSrcMap, getSrcToDstMap, put, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### mapping

    protected EpatchMapping mapping

Constructor Detail

### InvertedEpatchMapping

    public InvertedEpatchMapping(EpatchMapping mapping)

Method Detail

### getDstResources

    public java.util.Map<NamedResource,org.eclipse.emf.ecore.resource.Resource> getDstResources()

### getImportedResources

    public java.util.Map<ModelImport,org.eclipse.emf.ecore.resource.Resource> getImportedResources()

### getSrcResources

    public java.util.Map<NamedResource,org.eclipse.emf.ecore.resource.Resource> getSrcResources()

### getStrategy

    public ApplyStrategy getStrategy()

Copyright 2006 IBM Corporation and others. All Rights Reserved.